package envoy.client.event;

import envoy.event.Event;

/**
 * This event serves the purpose of interrupting something so that it will not
 * be finished.
 * <p>
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>InterruptEvent.java</strong><br>
 * Created: <strong>23.07.2020</strong><br>
 *
 * @author Leon Hofmeister
 * @since Envoy Client v0.2-beta
 */
public class InterruptEvent extends Event<String> {

	private static final long serialVersionUID = 1L;

	/**
	 * Creates a new {@link InterruptEvent}.
	 *
	 * @param reason the reason why this event exists -> allows finer sieving
	 * @since Envoy Client v0.2-beta
	 */
	public InterruptEvent(String reason) { super(reason); }

}
